// Read input data from .dat file with
// run# evt# b0_mass ctau sigma_ctau
//

#include "ReadInput.h"

#include <iostream>
#include <fstream>

using namespace std;

void ReadInput(ifstream& inputfile, vector<FitEvent>& inputdata, bool debug) {

  // check
  if(!inputfile.is_open()) {
    cout <<"ReadInput: inputfile not open."<<endl;
    return;
  }

  // read
  while (!inputfile.eof()) { 
    ++nlines;
    FitEvent thisevt;
    int runno, evtno;
    inputfile >> runno >> evtno;
    inputfile >> thisevt.mass_b 
	      >> thisevt.ctau_b 
	      >> thisevt.sigma_ctau_b;
    inputdata.push_back(thisevt);

    if(debug && nlines<5) {
      cout <<"line #"<<nlines<<": m="<<thisevt.mass_b
	   <<"  ctau="<<thisevt.ctau_b<<endl;
    }

    if(nlines==50000) {
      cout <<"Read 50k lines... I don't think this is going anywhere, exiting."<<endl;
      cout <<"inputfile.eof() = "<<inputfile.eof()<<endl;
      exit(3);
    }
  }
  printf("# B0 candidates read from inputfile = %f \n", (float) nlines);
} // end ReadInput
